# This file include default settings in Slint. It is sourced by
# grub-mkconfig and update-grub to update /boot/grub/grub.cfg

# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg

# For explanations about the the parameters set in this file, type:
# info grub and read the chapter 6.1 Simple Configuration Handling or
# read /usr/doc/grub-2.12/GRUB-configuration

# We will suggest some possible customization, but make a backup of this
# file before editing it as root or using sudo. Only the parameters set
# in Slint of for which we suggest settings are listed listed here.

# The commented paramaters (in lines beginning with #) are not set by
# default in Slint.

# Instead of "0" you can set GRUB_DEFAULT to 2 for instance, to boot by
# default the third (they are numbered from 0) boot entry. You can also
# set GRUB_DEFAULT as the id of a boot entry.
GRUB_DEFAULT=0

GRUB_TERMINAL_OUTPUT=console

# You can increase the value of GRUB_TIMEOUT, which is the delay before
# booting the default boot entry. A value of -1 disable the time out,
# i.e. booting will only occurs when you press Enter.
GRUB_TIMEOUT=15
#GRUB_HIDDEN_TIMEOUT=0
GRUB_TIMEOUT_STYLE='menu'

# The boot entry will include the value of GRUB_CMDLINE_LINUX as kernel
# parameters when booting. Write after an equal sign and between quotes
# the parameters you need for your hardware on context, separated by
# spaces.
#GRUB_CMDLINE_LINUX

# You need to fill kernel parameters in following line only if you want
# recovery mode menu entries, to include some kernel parameters only in
# the default menu entries. See GRUB_DISABLE_RECOVERY below.
#GRUB_CMDLINE_LINUX_DEFAULT

# UUID means "universall-unique identifier"
# GRUB_DISABLE_LINUX_PARTUUID and GRUB_DISABLE_LINUX_UUID in Slint are
# set so that grub-mkconfig uses the root partitions's UUID, to name
# them, instead of the filesystems' UUID or /dev/<partition name>
# This insure a persistent naming of partitions on removable devices
# like USB sticks, even if the device is reformatted (in which case the
# filesystem's UUID are modified). Read "info grub" chapter:
# 6.2 Root Identification Heuristics to know more.

GRUB_DISABLE_LINUX_UUID=false
GRUB_DISABLE_LINUX_PARTUUID=true

# If you want to include recovery boot entries in the boot menu, set
# GRUB_DISABLE_RECOVERY to false. But you can also use a Slint
# installation media to modify an installed system, or boot Slint with
# an USB boot stick.
GRUB_DISABLE_RECOVERY=true

GRUB_MENU_COLOR_NORMAL=white/black
GRUB_COLOR_HIGHLIGHT=white/blue
GRUB_COLOR_NORMAL=white/black

# If only Slint is installed, you do not need os-prober and can set
# GRUB_DISABLE_OS_PROBER to true.
GRUB_DISABLE_OS_PROBER=false

#GRUB_OS_PROBER_SKIP_LIST
# We disable the sub menus for increased readibility of the menu.
GRUB_DISABLE_SUBMENU=true

#Set GRUB_ENABLE_CRYPTODISK to 'y' to allow access encrypted disk at
#boot time. You will then need to type a passphrase.
#GRUB_ENABLE_CRYPTODISK

# You can suppress or edit the sound played when GRUB is ready
GRUB_INIT_TUNE="480 440 1"

#GRUB_BADRAM
#GRUB_PRELOAD_MODULES

# For more detailed customization of 'grub-mkconfig's output, you may
# edit the scripts in '/etc/grub.d' directly.  '/etc/grub.d/40_custom'
# is particularly useful for adding entire custom menu entries; simply
# type the menu entries you want to add at the end of that file, making
# sure to leave at least the first two lines intact.
GRUB_CMDLINE_LINUX="rootdelay=10"
